summaryrefslogtreecommitdiffstats
path: root/libraries/Botan
diff options
context:
space:
mode:
Diffstat (limited to 'libraries/Botan')
-rw-r--r--libraries/Botan/Botan.SlackBuild123
-rw-r--r--libraries/Botan/Botan.info10
-rw-r--r--libraries/Botan/README5
-rw-r--r--libraries/Botan/fix_doxygen_location.patch69
-rw-r--r--libraries/Botan/slack-desc19
5 files changed, 226 insertions, 0 deletions
diff --git a/libraries/Botan/Botan.SlackBuild b/libraries/Botan/Botan.SlackBuild
new file mode 100644
index 0000000000..9ff761dc15
--- /dev/null
+++ b/libraries/Botan/Botan.SlackBuild
@@ -0,0 +1,123 @@
+#!/bin/sh
+
+# Slackware build script for Botan
+
+# Copyright (c) 2010 Markus Reichelt, Aachen, DE
+# All rights reserved.
+#
+# Permission to use, copy, modify, and distribute this software for
+# any purpose with or without fee is hereby granted, provided that
+# the above copyright notice and this permission notice appear in all
+# copies.
+#
+# THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
+# IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
+# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
+# USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
+# OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
+# OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+#
+# markus reichelt, slackbuilds@mareichelt.de, 0xCCEEF115
+# 2010 June 22 - initial release
+
+PRGNAM=Botan
+VERSION=${VERSION:-1.8.9}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tbz
+cd $PRGNAM-$VERSION
+cat $CWD/fix_doxygen_location.patch | patch -p0 || exit 1
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/bin $PKG/usr/lib$LIBDIRSUFFIX $PKG/usr/man
+
+LDFLAGS="$LDFLAGS" \
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure.py \
+ --prefix=$PKG/usr \
+ --docdir=doc \
+ --libdir=lib$LIBDIRSUFFIX
+
+## generate man page files. choose whatever is preferred, clean replace or kludge
+sed -i "s/GENERATE_MAN = NO/GENERATE_MAN = YES/" build/botan.doxy
+sed -i "s/MAN_LINKS = NO/MAN_LINKS = YES/" build/botan.doxy
+#echo "GENERATE_MAN = YES" >> build/botan.doxy
+#echo "MAN_LINKS = YES" >> build/botan.doxy
+
+make
+make check
+make doxygen
+make install
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# Fix some stupid permissions before we move stuff.
+find doc -type d -exec chmod 0755 {} \;
+find doc -type f -exec chmod 0644 {} \;
+
+cp -a doc/doxygen/man $PKG/usr
+rm $PKG/usr/man/man3/_*
+# Don't overwrite stock man pages.
+mv $PKG/usr/man/man3/UNIVERSAL.3 $PKG/usr/man/man3/$PRGNAM-UNIVERSAL.3
+
+cp -a doc/doxygen/html doc/examples doc/scripts \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/Botan/Botan.info b/libraries/Botan/Botan.info
new file mode 100644
index 0000000000..a7fc0dc269
--- /dev/null
+++ b/libraries/Botan/Botan.info
@@ -0,0 +1,10 @@
+PRGNAM="Botan"
+VERSION="1.8.9"
+HOMEPAGE="http://botan.randombit.net/"
+DOWNLOAD="http://botan.randombit.net/files/Botan-1.8.9.tbz"
+MD5SUM="2c1c55ae4f5bae9f6ad516e1ada2100f"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="markus reichelt"
+EMAIL="slackbuilds@mareichelt.de"
+APPROVED="dsomero"
diff --git a/libraries/Botan/README b/libraries/Botan/README
new file mode 100644
index 0000000000..df7215a24c
--- /dev/null
+++ b/libraries/Botan/README
@@ -0,0 +1,5 @@
+Botan is a BSD-licensed crypto library for C++. It provides
+applications with the ability to use a number of cryptographic
+algorithms, as well as SSL/TLS, X.509 certificates and CRLs, PKCS
+#10 certificate requests, a filter/pipe message processing system,
+and a wide variety of other features.
diff --git a/libraries/Botan/fix_doxygen_location.patch b/libraries/Botan/fix_doxygen_location.patch
new file mode 100644
index 0000000000..b53c2c13c8
--- /dev/null
+++ b/libraries/Botan/fix_doxygen_location.patch
@@ -0,0 +1,69 @@
+#
+# old_revision [c1f6433718c1bf5a1b8345693c3e088063af3cd2]
+#
+# patch "configure.pl"
+# from [a87f68a62bf7114de8146d021ec1003dbe2e3ff5]
+# to [5d6e3060c564f114e16f6a4d207fa8f145ed0610]
+#
+# patch "src/build-data/makefile/unix.in"
+# from [642755d569ece07a23b635219a4d8fd62a4fd710]
+# to [0a38c397f55fdb5df95b7750fa3895b44aa4be60]
+#
+# patch "src/build-data/makefile/unix_shr.in"
+# from [99562e4eb73592c98a2e41842e4e5f2342aff7b7]
+# to [5c2c8418a24ade03d2a66eb5ab677907c246864e]
+#
+============================================================
+--- configure.pl a87f68a62bf7114de8146d021ec1003dbe2e3ff5
++++ configure.pl 5d6e3060c564f114e16f6a4d207fa8f145ed0610
+@@ -205,7 +205,7 @@ sub main {
+
+ process_template(File::Spec->catfile(
+ $$config{'config-dir'}, 'botan.doxy.in'),
+- File::Spec->catfile($$config{'doc_src_dir'}, 'botan.doxy'),
++ File::Spec->catfile($$config{'build_dir'}, 'botan.doxy'),
+ $config);
+
+ $$config{'includes'}{'build.h'} = $$config{'build_dir'};
+============================================================
+--- src/build-data/makefile/unix.in 642755d569ece07a23b635219a4d8fd62a4fd710
++++ src/build-data/makefile/unix.in 0a38c397f55fdb5df95b7750fa3895b44aa4be60
+@@ -92,7 +92,7 @@ doxygen:
+ static: $(STATIC_LIB)
+
+ doxygen:
+- doxygen %{doc_src_dir}/botan.doxy
++ doxygen %{build_dir}/botan.doxy
+
+ clean:
+ $(RM_R) %{build_dir}/lib/* %{build_dir}/checks/*
+@@ -100,7 +100,7 @@ distclean: clean
+
+ distclean: clean
+ $(RM_R) %{build_dir}
+- $(RM_R) %{doc_src_dir}/doxygen %{doc_src_dir}/botan.doxy
++ $(RM_R) %{doc_src_dir}/doxygen
+ $(RM) Makefile $(CONFIG_SCRIPT) $(PKGCONFIG)
+
+ install: $(LIBRARIES)
+============================================================
+--- src/build-data/makefile/unix_shr.in 99562e4eb73592c98a2e41842e4e5f2342aff7b7
++++ src/build-data/makefile/unix_shr.in 5c2c8418a24ade03d2a66eb5ab677907c246864e
+@@ -106,7 +106,7 @@ doxygen:
+ shared: $(SHARED_LIB)
+
+ doxygen:
+- doxygen %{doc_src_dir}/botan.doxy
++ doxygen %{build_dir}/botan.doxy
+
+ clean:
+ $(RM_R) %{build_dir}/lib/* %{build_dir}/checks/*
+@@ -114,7 +114,7 @@ distclean: clean
+
+ distclean: clean
+ $(RM_R) %{build_dir}
+- $(RM_R) %{doc_src_dir}/doxygen %{doc_src_dir}/botan.doxy
++ $(RM_R) %{doc_src_dir}/doxygen
+ $(RM) Makefile $(CONFIG_SCRIPT) $(PKGCONFIG)
+
+ install: $(LIBRARIES)
diff --git a/libraries/Botan/slack-desc b/libraries/Botan/slack-desc
new file mode 100644
index 0000000000..c58e8eccb9
--- /dev/null
+++ b/libraries/Botan/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |----------handy-ruler------------------------------------------------|
+Botan: Botan (C++ crypto library)
+Botan:
+Botan: Botan is a BSD-licensed crypto library for C++. It provides
+Botan: applications with the ability to use a number of cryptographic
+Botan: algorithms, as well as SSL/TLS, X.509 certificates and CRLs, PKCS
+Botan: #10 certificate requests, a filter/pipe message processing system,
+Botan: and a wide variety of other features.
+Botan:
+Botan: Homepage: http://botan.randombit.net/
+Botan:
+Botan: